- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
WPSOLEStream.cpp File Reference
`#include <cstring>`
`#include <iostream>`
`#include <list>`
`#include <set>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <libwpd-stream/libwpd-stream.h>`
`#include "WPSOLEStream.h"`

## Classes
class | libwps_internal::WPSStringStream
| an internal class used to return the OLE InputStream More...
class | libwps::Header
class | libwps::AllocTable
class | libwps::DirEntry
class | libwps::DirTree
class | libwps::StorageIO
class | libwps::StreamIO

## Namespaces
namespace | libwps_internal
namespace | libwps

## Functions
static unsigned long | readU16 (const unsigned char *ptr)
static unsigned long | readU32 (const unsigned char *ptr)
static bool | already_exist (const std::vector< unsigned long > &chain, unsigned long item)
static unsigned | dirtree_find_sibling (libwps::DirTree *dirtree, unsigned index, const std::string &name)

## Variables
static const unsigned char | wpsole_magic []

## Function Documentation

static bool already_exist | ( | const std::vector< unsigned long > & | chain,
|  | unsigned long | item
| ) |  |
| static

Referenced by libwps::AllocTable::follow().

static unsigned dirtree_find_sibling | ( | libwps::DirTree * | dirtree,
|  | unsigned | index,
|  | const std::string & | name
| ) |  |
| static

Referenced by libwps::DirTree::find_child().

static unsigned long readU16 | ( | const unsigned char * | ptr | ) |
| inline static

static unsigned long readU32 | ( | const unsigned char * | ptr | ) |
| inline static

## Variable Documentation

const unsigned char wpsole_magic[]
| static

Initial value:
=
{ 0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1 }

Referenced by libwps::Header::Header(), and libwps::StorageIO::load().